Page MenuHome

Animated procedural texture does not influence particle system
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce GTX 980/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 426.00

Blender Version
Broken: version: 2.90 (sub 0), branch: HEAD (modified), commit date: 2020-04-30 04:21, hash: rB66e70fe299e1
Worked: unkown

Short description of error
Animating a procedural texture (i.e. cloud) does not influence particle system over time.

Exact steps for others to reproduce the error
Open attached blend file, play animation.
The texture size is animated using keyframes, however hair particles lenght do not change over time, it remains fix.

Event Timeline

After investigating the issue, it looks like there's a missing relation in depsGraph for animated textures influencing particle system. I have a fix pending that I can submit for review once the issue is confirmed.

Think this is the same as T65889: Hair Particles not updating in Viewport when using image sequence textures to drive Hair Size?
[I also had a fix for this -- D5088 -- but never really cleaned it up properly... looking forward to your fix]

Anyways, I think we should merge these reports?

Think this is the same as T65889: Hair Particles not updating in Viewport when using image sequence textures to drive Hair Size?
[I also had a fix for this -- D5088 -- but never really cleaned it up properly... looking forward to your fix]

Anyways, I think we should merge these reports?

I had a look to D5088.
D5088 is related to image sequence, involving IMAGE_ANIMATION process with an issue that seems specific to it.
This issue is only related to procedural texture missing an update. There's no COW required here.
But maybe at the end the two might converge (but I'm not sure about the COW rquirement, not enough familiar with this). I have submitted the patch, you can have a look at it.

Philipp Oeser (lichtwerk) reopened this task as Confirmed.Apr 30 2020, 11:15 AM

Ah, OK, lets repoen then (since this doesnt seem to be the same issue in the end)

Brecht Van Lommel (brecht) changed the subtype of this task from "Report" to "Bug".May 1 2020, 5:45 PM